
const char MAIN_page[] PROGMEM = R"=====(

<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Thornas</title>
    <style>
      html {
        font-family: Arial;
        display: inline-block;
        margin: 0px auto;
        text-align: center;
      }

      .container {
        height: 200px;
        position: relative;
      }
      
      .centerA {
        margin: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
      }
      
      .slidecontainer {
        width: 100%;
      }

      .slider {
        -webkit-appearance: none;
        width: 80%;
        height: 30px;
        border-radius: 20px;
        background: #838383;
        outline: none;
      }

      .slider:hover {
        opacity: 0.7;
      }

      .slider::-webkit-slider-thumb {
        -webkit-appearance: none;
        appearance: none;
        width: 70px;
        height: 70px;
        border-radius: 25%;
        background: #000080;
        cursor: pointer;
      }

      .slider::-moz-range-thumb {
        width: 70px;
        height: 70px;
        border-radius: 25%;
        background: #000080;
        cursor: pointer;
      }

      #loco_image {
        text-align: center;
        margin-left: auto;
        margin-right: auto;
        margin-top:-40px;
        display:block;
        width: 30%;
      }
      
      #stop_btn {
        background-color: #750000;
      }
      
      #stop_btn:hover {
        background-color: #AC0000;
      }
	  
	  .btn-group button {
		background-color: #757575; /* Grey background */
		border: none; 
		border-radius: 10px;
		color: white; /* White text */
		font-weight: bold;
		font-size: 16pt;
		padding: 30px 80px; /* Some padding */
		cursor: pointer; /* Pointer/hand icon */
		
	  }

/* Clear floats (clearfix hack) */
.btn-group:after {
  content: "";
  clear: both;
  display: table;
}

.btn-group button:not(:last-child) {
  border-right: none; /* Prevent double borders */
}

/* Add a background color on hover */
.btn-group button:hover {
  background-color: grey; /*#02AC00;*/
  /*border: 5px solid #27AC00;*/
}
    </style>
  </head>
  <body style="background-color:#e3e3e3;">
  
	

    <h1>Loco Control - Thornas</h1>
    
      <h2><span id="v1"></span></h2>

    <div class="slidecontainer">
      <input 
	  type="range" orient="horizontal" min="0" max="100" value="0" class="slider" id="myRange"
	  >
	  
	</div>
	
   <div class="container">
      <div class="centerA"> 	
        	<div class="btn-group">
          <table><tr>
          <td><button id="forward_btn" Forward onclick="forward()"> Forward </button></td>
          <td><button id="stop_btn" Stop onclick= "stop()" > Stop </button></td>
          <td><button id="reverse_btn" Reverse onclick="reverse()" > Reverse </button></td>
          </tr>
          </table>
          <span id="dir"></span>
        	</div>
	    </div>
    </div>
	

    <svg id="loco_image" width="40%" height="111mm" viewBox="0 0 148 111" align="center">
<g>
<rect style="fill:#000080" width="13.6" height="23" x="53" y="28" ry="7" />
<circle cx="54" cy="94" r="12" />
<circle cx="97" cy="94" r="12" />
<rect width="140" height="19" x="5" y="80" />
<rect width="23" height="36" x="16" y="44" ry="0" />
<rect style="fill:#000080" width="56" height="28" x="39" y="45" />
<rect width="8" height="33" x="23" y="11" />
<rect style="fill:#000080" width="29" height="38" x="72" y="41" />
<rect style="fill:#000080" width="6" height="39" x="100" y="9" />
<rect style="fill:#000080;stroke:#000000" width="72" height="32" x="46" y="48" />
<rect style="fill:#000080" width="6" height="72" x="135" y="8" />
<rect width="41" height="8" x="100" y="5" /></g></svg>

    <script>
      function sendData(pos) {
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
          if (this.readyState == 4 && this.status == 200) {
            console.log(this.responseText);
          }
        };
        xhttp.open("GET", "setPOS?POS="+pos, true);
        xhttp.send();
      }

      function sendDir(dir) {
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
          if (this.readyState == 4 && this.status == 200) {
            console.log(this.responseText);
          }
        };
        xhttp.open("GET", "setDir?Dir="+dir, true);
        xhttp.send();
      }
		
		function reverse() {
			dir.innerHTML = "Reverse";
			document.getElementById("forward_btn").style.backgroundColor = "#757575";
			document.getElementById("reverse_btn").style.backgroundColor = "#02AC00";      
      sendDir("-1");		
    }
		
		function forward() {
			dir.innerHTML = "Forward";
      document.getElementById("forward_btn").style.backgroundColor = "#02AC00";
			document.getElementById("reverse_btn").style.backgroundColor = "#757575";  
      sendDir("1");
		}

		function stop()	{
		slider.value = 0;
		output.innerHTML = slider.value;
		
    sendData(output.innerHTML);
		}

      var slider = document.getElementById("myRange");
      var output = document.getElementById("v1");
      output.innerHTML = slider.value;
	  
	  
      slider.oninput = function() {
        output.innerHTML = this.value;
        sendData(output.innerHTML);
      }
	</script>    
  </body>
</html>

)=====";
